package com.ruoyi.nanjing.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.ruoyi.nanjing.domain.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.nanjing.mapper.TBdProducttypeMapper;
import com.ruoyi.nanjing.service.ITBdProducttypeService;
import com.ruoyi.common.core.text.Convert;

/**
 * 机种类型Service业务层处理
 * 
 * @author limy
 * @date 2021-01-22
 */
@Service
public class TBdProducttypeServiceImpl implements ITBdProducttypeService 
{
    @Autowired
    private TBdProducttypeMapper tBdProducttypeMapper;

    /**
     * 查询机种类型列表
     * 
     * @param tBdProducttype 机种类型
     * @return 机种类型
     */
    @Override
    public List<TBdProducttype> selectTBdProducttypeList(TBdProducttype tBdProducttype)
    {
        return tBdProducttypeMapper.selectTBdProducttypeList(tBdProducttype);
    }

    @Override
    public List<TBdProducttype> selectTBdProducttype() {
        return tBdProducttypeMapper.selectTBdProducttype();
    }

    @Override
    public List<ProRpList> selectProLists(Map map) {
       return tBdProducttypeMapper.selectProLists(map);
    }

    @Override
    public List<QtProduct> selectQtProductList(Map map) {
        return tBdProducttypeMapper.selectQtProductList(map);
    }

    @Override
    public List<QsProduct> selectQsProductList(Map map) {
        return tBdProducttypeMapper.selectQsProductList(map);
    }

    @Override
    public List<QsProduct> selectQ1ProductList(Map map) {
        return tBdProducttypeMapper.selectQ1ProductList(map);
    }

    @Override
    public List<QsStation> selectStationQs(QsStation qsStation) {
        Map map = new HashMap<String,Object>();
        map.put("begin",qsStation.getBeginTime());
        map.put("end",qsStation.getEndTime());
        map.put("stationType",1);
        map.put("stationId",qsStation.getStationId());
        map.put("productId",qsStation.getProductId());
        List<QsStation> list = tBdProducttypeMapper.selectStationQs(map);
        return list;
    }

    @Override
    public List<QsStation> selectAllQs(Map map) {
        return tBdProducttypeMapper.selectAllQs(map);
    }

    @Override
    public List<QsStation> selectNodeQs(Map map) {
        return tBdProducttypeMapper.selectStationQs(map);
    }

    @Override
    public  List<Map<String,Object>> selectReport(Map map) {
        return tBdProducttypeMapper.selectReport(map);
    }
}
